version: '3'

services:
  minecraft:
    container_name: minecraft
    hostname: minecraft
    build: .
    ports:
      - "25565:25565"
      - "25575:25575" 
    networks:
      - revproxy
    volumes:
      - "mc:/data"
    tty: true
    stdin_open: true
    restart: always
    
  rcon:
    container_name: rcon
    hostname: rcon
    image: itzg/rcon
    ports:
      - "4326:4326"
      - "4327:4327"
    networks:
      - revproxy
    volumes:
      - "rcon:/opt/rcon-web-admin/db"

networks:
  revproxy:
    external: true

volumes:
  mc:
  rcon:
